Summary: A utility used to conveniently set up disk encryption
Name: cryptsetup
Version: 2.6.1
Release: 3%{?dist}
License: GPLv2+ and LGPLv2+
URL: https://gitlab.com/cryptsetup/cryptsetup
Source0: https://www.kernel.org/pub/linux/utils/cryptsetup/v2.6/cryptsetup-%{version}.tar.xz

BuildRequires: autoconf automake libtool gcc make pkgconfig
BuildRequires: gettext-devel openssl-devel popt-devel device-mapper-devel
BuildRequires: libuuid-devel json-c-devel findutils asciidoctor
BuildRequires: libpwquality-devel libblkid-devel libssh-devel
Requires: cryptsetup-libs = %{version}-%{release}
Requires: libpwquality >= 1.2.0

Obsoletes: %{name}-reencrypt <= %{version}
# provided by command 'cryptsetup reencrypt', see detail in release
# note 2.5-rc1
Provides: %{name}-reencrypt = %{version}

%description
Cryptsetup is a utility used to conveniently set up disk encryption 
based on the DMCrypt kernel module.


%package devel
Summary: Libraries and header files of libcryptsetup
Requires: %{name}-libs = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides libraries and header files of libcryptsetup.


%package libs
Summary: Cryptsetup shared library

%description libs
This package provides the cryptsetup shared library, libcryptsetup.


%package ssh-token
Summary: Cryptsetup LUKS2 SSH token
Requires: cryptsetup-libs = %{version}-%{release}

%description ssh-token
This package provides the LUKS2 SSH token.


%package -n veritysetup
Summary: A utility to setup DMVerity block integrity
Requires: cryptsetup-libs = %{version}-%{release}

%description -n veritysetup
A veritysetup utility used to conveniently setup DMVerity block integrity 
checking kernel module.


%package -n integritysetup
Summary: A utility to setup DMIntegrity block integrity
Requires: cryptsetup-libs = %{version}-%{release}

%description -n integritysetup
An integritysetup veritysetup utility used to setup DMIntegrity block 
integrity kernel module.


%prep
%autosetup -p1


%build
./autogen.sh
%configure --enable-fips --enable-pwquality 
%make_build


%install
%make_install
rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_libdir}/%{name}/*.la
%find_lang cryptsetup


%post -n cryptsetup-libs -p /sbin/ldconfig


%postun -n cryptsetup-libs -p /sbin/ldconfig


%files
%license COPYING
%doc README.md AUTHORS docs/*ReleaseNotes
%{_mandir}/man8/cryptsetup.8.gz
%{_mandir}/man8/cryptsetup-*.8.gz
%{_sbindir}/cryptsetup


%files devel
%doc docs/examples/*
%{_includedir}/libcryptsetup.h
%{_libdir}/libcryptsetup.so
%{_libdir}/pkgconfig/libcryptsetup.pc


%files libs -f cryptsetup.lang
%license COPYING COPYING.LGPL
%{_libdir}/libcryptsetup.so.12*
%dir %{_libdir}/%{name}/
%{_tmpfilesdir}/cryptsetup.conf
%ghost %attr(700, -, -) %dir /run/cryptsetup


%files ssh-token
%license COPYING COPYING.LGPL
%{_libdir}/%{name}/libcryptsetup-token-ssh.so
%{_mandir}/man8/cryptsetup-ssh.8.gz
%{_sbindir}/cryptsetup-ssh


%files -n veritysetup
%license COPYING
%{_mandir}/man8/veritysetup.8.gz
%{_sbindir}/veritysetup


%files -n integritysetup
%license COPYING
%{_mandir}/man8/integritysetup.8.gz
%{_sbindir}/integritysetup


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 cunshunxia <cunshunxia@tencent.com> - 2.6.1-2
- Rebuilt for libssh 0.10.5

* Tue Jul 11 2023 Yi Lin <nilusyi@tencent.com> - 2.6.1-1
- upgrade to 2.6.1
- remove reencrypt

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 27 2022 doriscchao <doriscchao@tencent.com> - 2.4.3-1
- initial build, Version 2.4.3, Release 1